=== debian/changelog ===
robot-testing-framework (2.0.1+ds1-3ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:08:38 +0000

robot-testing-framework (2.0.1+ds1-3ubuntu1) noble; urgency=medium

  * d/librobottestingframework{,-dll}2.symbols: update symbols for ppc64el.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 29 Feb 2024 17:49:54 -0300

robot-testing-framework (2.0.1+ds1-3build1) noble; urgency=medium

  * No-change upload to remove support of ruby3.1.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 20 Feb 2024 15:11:38 -0300

robot-testing-framework (2.0.1+ds1-3) unstable; urgency=medium

  * Team Upload.
  * Update symbols as per new compiler version changes (Closes: #1037843)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 03 Nov 2023 23:46:52 +0530

robot-testing-framework (2.0.1+ds1-2) unstable; urgency=medium

  * Team upload.
  * Source-only-upload for testing migration 

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 05 Feb 2021 13:03:02 +0530

robot-testing-framework (2.0.1+ds1-1) unstable; urgency=medium

  * Initial release. (Closes: #969037)

 -- Daniele E. Domenichelli <ddomenichelli@drdanz.it>  Tue, 12 Jan 2021 22:01:01 +0100
