=== debian/control ===
Source: robot-testing-framework
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Daniele E. Domenichelli <ddomenichelli@drdanz.it>
Build-Depends:
 debhelper-compat (= 13),
 cmake (>= 3.5),
 pkg-config,
 libtinyxml-dev,
 liblua5.3-dev,
 ruby-dev
Build-Depends-Indep:
 doxygen <!nodoc>,
 graphviz <!nodoc>,
Standards-Version: 4.5.1
Section: libs
Vcs-Browser: https://salsa.debian.org/science-team/robot-testing-framework
Vcs-Git: https://salsa.debian.org/science-team/robot-testing-framework.git
Homepage: https://robotology.github.io/robot-testing-framework/
Rules-Requires-Root: no

Package: librobottestingframework-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 librobottestingframework2 (= ${binary:Version}),
 librobottestingframework-dll2 (= ${binary:Version}),
 librobottestingframework-lua2 (= ${binary:Version}),
 librobottestingframework-ruby2 (= ${binary:Version}),
 robottestingframework-testrunner (= ${binary:Version})
Description: Robot Testing Framework - development files
 It is a generic and multi-platform testing framework for the test
 driven development (TDD) which is initially designed for the robotic
 systems.
 However, it can be used for any TDD system. The framework provides
 functionalities for developing and running unit tests in a language and
 middleware independent manner. The test cases are developed as
 independent plug-ins (i.e., using scripting languages or built as
 dynamically loadable libraries) to be loaded and executed by an
 automated test runner.
 Moreover, a fixture manager prepares the setup (e.g., running robot
 interfaces, simulator) and actively monitors that all the requirements
 for running the tests are satisfied during the execution of the tests.
 These functionalities along with other facilities such as the test
 result collector, result formatter and remote interface allow for rapid
 development of test units to cover different levels of system testing.
 .
 This package contains the development files.

Package: librobottestingframework2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Robot Testing Framework - RTF library
 It is a generic and multi-platform testing framework for the test
 driven development (TDD) which is initially designed for the robotic
 systems.
 However, it can be used for any TDD system. The framework provides
 functionalities for developing and running unit tests in a language and
 middleware independent manner. The test cases are developed as
 independent plug-ins (i.e., using scripting languages or built as
 dynamically loadable libraries) to be loaded and executed by an
 automated test runner.
 Moreover, a fixture manager prepares the setup (e.g., running robot
 interfaces, simulator) and actively monitors that all the requirements
 for running the tests are satisfied during the execution of the tests.
 These functionalities along with other facilities such as the test
 result collector, result formatter and remote interface allow for rapid
 development of test units to cover different levels of system testing.
 .
 This package contains the RTF shared library.

Package: librobottestingframework-dll2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Robot Testing Framework - RTF_dll library
 It is a generic and multi-platform testing framework for the test
 driven development (TDD) which is initially designed for the robotic
 systems.
 However, it can be used for any TDD system. The framework provides
 functionalities for developing and running unit tests in a language and
 middleware independent manner. The test cases are developed as
 independent plug-ins (i.e., using scripting languages or built as
 dynamically loadable libraries) to be loaded and executed by an
 automated test runner.
 Moreover, a fixture manager prepares the setup (e.g., running robot
 interfaces, simulator) and actively monitors that all the requirements
 for running the tests are satisfied during the execution of the tests.
 These functionalities along with other facilities such as the test
 result collector, result formatter and remote interface allow for rapid
 development of test units to cover different levels of system testing.
 .
 This package contains the RTF_dll shared library.

Package: librobottestingframework-lua2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Robot Testing Framework - RTF_lua library
 It is a generic and multi-platform testing framework for the test
 driven development (TDD) which is initially designed for the robotic
 systems.
 However, it can be used for any TDD system. The framework provides
 functionalities for developing and running unit tests in a language and
 middleware independent manner. The test cases are developed as
 independent plug-ins (i.e., using scripting languages or built as
 dynamically loadable libraries) to be loaded and executed by an
 automated test runner.
 Moreover, a fixture manager prepares the setup (e.g., running robot
 interfaces, simulator) and actively monitors that all the requirements
 for running the tests are satisfied during the execution of the tests.
 These functionalities along with other facilities such as the test
 result collector, result formatter and remote interface allow for rapid
 development of test units to cover different levels of system testing.
 .
 This package contains the RTF_lua shared library.

Package: librobottestingframework-ruby2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Robot Testing Framework - RTF_ruby library
 It is a generic and multi-platform testing framework for the test
 driven development (TDD) which is initially designed for the robotic
 systems.
 However, it can be used for any TDD system. The framework provides
 functionalities for developing and running unit tests in a language and
 middleware independent manner. The test cases are developed as
 independent plug-ins (i.e., using scripting languages or built as
 dynamically loadable libraries) to be loaded and executed by an
 automated test runner.
 Moreover, a fixture manager prepares the setup (e.g., running robot
 interfaces, simulator) and actively monitors that all the requirements
 for running the tests are satisfied during the execution of the tests.
 These functionalities along with other facilities such as the test
 result collector, result formatter and remote interface allow for rapid
 development of test units to cover different levels of system testing.
 .
 This package contains the RTF_ruby shared library.

Package: robottestingframework-testrunner
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Robot Testing Framework - robottestingframework-testrunner
 It is a generic and multi-platform testing framework for the test
 driven development (TDD) which is initially designed for the robotic
 systems.
 However, it can be used for any TDD system. The framework provides
 functionalities for developing and running unit tests in a language and
 middleware independent manner. The test cases are developed as
 independent plug-ins (i.e., using scripting languages or built as
 dynamically loadable libraries) to be loaded and executed by an
 automated test runner.
 Moreover, a fixture manager prepares the setup (e.g., running robot
 interfaces, simulator) and actively monitors that all the requirements
 for running the tests are satisfied during the execution of the tests.
 These functionalities along with other facilities such as the test
 result collector, result formatter and remote interface allow for rapid
 development of test units to cover different levels of system testing.
 .
 This package contains the robottestingframework-testrunner executable.

Package: librobottestingframework-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
 lynx | www-browser, doc-base, libjs-jquery
Multi-Arch: foreign
Description: Robot Testing Framework - documentation
 It is a generic and multi-platform testing framework for the test
 driven development (TDD) which is initially designed for the robotic
 systems.
 However, it can be used for any TDD system. The framework provides
 functionalities for developing and running unit tests in a language and
 middleware independent manner. The test cases are developed as
 independent plug-ins (i.e., using scripting languages or built as
 dynamically loadable libraries) to be loaded and executed by an
 automated test runner.
 Moreover, a fixture manager prepares the setup (e.g., running robot
 interfaces, simulator) and actively monitors that all the requirements
 for running the tests are satisfied during the execution of the tests.
 These functionalities along with other facilities such as the test
 result collector, result formatter and remote interface allow for rapid
 development of test units to cover different levels of system testing.
 .
 This package contains the documentation and example files.
Build-Profiles: <!nodoc>

Package: robot-testing-framework
Architecture: any
Depends: ${misc:Depends},
 librobottestingframework-dev (= ${binary:Version})
Recommends:
 librobottestingframework-doc (= ${binary:Version})
Description: Robot Testing Framework (metapackage)
 It is a generic and multi-platform testing framework for the test
 driven development (TDD) which is initially designed for the robotic
 systems.
 However, it can be used for any TDD system. The framework provides
 functionalities for developing and running unit tests in a language and
 middleware independent manner. The test cases are developed as
 independent plug-ins (i.e., using scripting languages or built as
 dynamically loadable libraries) to be loaded and executed by an
 automated test runner.
 Moreover, a fixture manager prepares the setup (e.g., running robot
 interfaces, simulator) and actively monitors that all the requirements
 for running the tests are satisfied during the execution of the tests.
 These functionalities along with other facilities such as the test
 result collector, result formatter and remote interface allow for rapid
 development of test units to cover different levels of system testing.
 .
 This metapackage installs all libraries and tools.
